#
# spec file for package mc (Version 4.6.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 e2fsprogs e2fsprogs-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip indent info insserv iso_ent jadetex jpeg klogd latex-ucs less libacl libattr libcom_err libgcc libgssapi libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline readline-devel recode rpm sed sgml-skel slang slang-devel strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           mc
BuildRequires:  audiofile-devel docbook-toys e2fsprogs-devel glib2-devel indent jpeg libjpeg-devel libpng-devel readline-devel recode slang-devel xorg-x11-devel
%define _prefix  /usr
License:        GPL v2 or later
Group:          Productivity/File utilities
PreReq:         permissions
AutoReqProv:    on
Version:        4.6.1
Release:        34.11
Summary:        Midnight Commander
Source:         mc-4.6.1.tar.bz2
Source1:        x11_browser
Patch1:         mc-CVS-utf8.patch
Patch2:         mc-CVS-utf8-fix.patch
Patch3:         mc-CVS-utf8-input.patch
Patch4:         mc-CVS-utf8-hint.patch
Patch5:         mc-CVS-utf8-help.patch
Patch6:         mc-CVS-msglen.patch
Patch7:         00-70-utf8-common.patch
Patch8:         00-72-utf8-dialog-title.patch
Patch9:         00-73-utf8-bottom-buttons-width.patch
Patch10:        00-74-utf8-dialog-filename-truncate.patch
Patch11:        00-75-utf8-cmdline-help.patch
Patch12:        00-76-utf8-hotlist-highlight.patch
Patch13:        00-77-utf8-filename-search-highlight.patch
Patch14:        00-78-utf8-filename-search-input.patch
Patch15:        00-80-utf8-help-line-drawing-art.patch
Patch16:        mc-4.6.1-apps.patch
Patch18:        mc-4.6.1-palmsupport.patch
Patch19:        mc-4.6.1-word_docs.patch
Patch20:        mc-4.6.1-x11browser.diff
Patch21:        mc-4.6.1-no-nb.diff
Patch22:        mc-4.6.1-unrar-passwd.patch
Patch23:        mc-4.6.1-NULL.patch
Patch24:        mc-utf8-slang2.patch
Patch25:        mc-4.6.1-wrapper.patch
Patch26:        mc-4.6.1-long-panel.patch
Patch27:        mc-4.6.1-getpwuid.patch
Patch28:        mc-4.6.1-syntax-hpp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.ibiblio.org/mc/

%description
Midnight Commander is a Norton Commander clone, a program that
manipulates and manages files and directories. It is useful, fast, and
has color display on the Linux console. It also has mouse support if
you run the gpm mouse server. This program requires the terminal
description files in /usr/lib/terminfo, which are found in ncurses.rpm
(the essential ones) or terminfo.rpm (the rest).

You can also use Midnight Commander under the X Window System with your
mouse. If you enter 'mc -c', colors are used.

In Midnight Commander, the screen is divided into four sections: The
majority of the screen is covered by two directory panels. The second
to last line on the screen is the shell command line. The last line
displays the function key assignments. At the very top, the menu list
is shown. One of the directories displayed is the current working
directory. This is where most of the commands are found. For certain
commands, like copy and move, the second directory is used as the
target directory.



Authors:
--------
    Miguel de Icaza <miguel@roxanne.nuclecu.unam.mx>
    Alexander Savelyev <fano@vcom.kiev.ua>
    Andrej Borsenkow <borsenkow.msk@sni.de>
    Andrew T. Veliath  <andrewtv@usa.net>
    Christian GENNERAT   <christian.gennerat@alcatel.fr>
    David Martin <dmartina@usa.net>
    Dugan Orlando Porter <dugan@b011.eunet.es>
    Federico Mena Quintero  <federico@redhat.com>
    Fred Leeflang <fredl@nebula.ow.nl>
    Ilya Zakharevich <ilya@math.ohio-state.edu>
    Jakub Jelinek <jj@sunsite.mff.cuni.cz>
    Janne Kukonlehto <jtklehto@paju.oulu.fi>
    Kjartan Maraas  <kmaraas@online.no>
    Mauricio Plaza <mok@roxanne.nuclecu.unam.mx>
    Norbert Warmuth  <nwarmuth@privat.circular.de>
    Owen Taylor  <otaylor@redhat.com>
    Paul Sheer <psheer@obsidian.co.za>
    Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>
    Pavel Roskin  <pavel_roskin@geocities.com>
    Peter Kleiweg  <kleiweg@let.rug.nl>
    Radek Doulik <rodo@earn.cvut.cz>
    Raja R Harinath  <harinath@cs.umn.edu>
    Sebastian Wilhelmi  <wilhelmi@ira.uka.de>
    Sergey Korshunoff <seyko@p5.f434.n5020.z2.fidonet.org>
    Sung-Hyun Nam  <namsh@lgic.co.kr>
    Timur I. Bakeyev  <mc@bat.ru>
    Tuomas J. Lukka <lukka@iki.fi>
    Wayne Roberts <wroberts1@cx983858-b.orng1.occa.home.com>

%define INSTALL      install -m755 -s
%define INSTALL_DIR  install -d -m755
%define INSTALL_DATA install -m644
%debug_package

%prep
%setup -q 
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 -p 1
%patch6 -p 1
%patch7 -p 1
%patch8 -p 1
%patch9 -p 1
%patch10 -p 1
%patch11 -p 1
%patch12 -p 1
%patch13 -p 1
%patch14 -p 1
%patch15 -p 1
%patch16
%patch18 -p 1
%patch19
%patch20
%patch21
%patch22
%patch23 -p 1
%patch24
%patch25
%patch26
%patch27
%patch28
pushd $RPM_BUILD_DIR/mc*/po/
rename no nb no.*
popd
cd lib
iconv -f iso8859-1 -t utf-8 -o mc.hint.tmp mc.hint && mv mc.hint.tmp mc.hint
iconv -f iso8859-1 -t utf-8 -o mc.hint.es.tmp mc.hint.es && mv mc.hint.es.tmp mc.hint.es
iconv -f iso8859-1 -t utf-8 -o mc.hint.it.tmp mc.hint.it && mv mc.hint.it.tmp mc.hint.it
iconv -f iso8859-1 -t utf-8 -o mc.hint.nl.tmp mc.hint.nl && mv mc.hint.nl.tmp mc.hint.nl
iconv -f iso8859-2 -t utf-8 -o mc.hint.cs.tmp mc.hint.cs && mv mc.hint.cs.tmp mc.hint.cs
iconv -f iso8859-2 -t utf-8 -o mc.hint.hu.tmp mc.hint.hu && mv mc.hint.hu.tmp mc.hint.hu
iconv -f iso8859-2 -t utf-8 -o mc.hint.pl.tmp mc.hint.pl && mv mc.hint.pl.tmp mc.hint.pl
iconv -f koi8-r -t utf8 -o mc.hint.ru.tmp mc.hint.ru && mv mc.hint.ru.tmp mc.hint.ru
iconv -f koi8-u -t utf8 -o mc.hint.uk.tmp mc.hint.uk && mv mc.hint.uk.tmp mc.hint.uk
iconv -f big5 -t utf8 -o mc.hint.zh.tmp mc.hint.zh && mv mc.hint.zh.tmp mc.hint.zh
# convert docs to utf-8
cd ../doc
pushd es
iconv -f iso8859-1 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
iconv -f iso8859-1 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd hu
iconv -f iso8859-2 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
iconv -f iso8859-2 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd it
iconv -f iso8859-1 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
iconv -f iso8859-1 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd pl
iconv -f iso8859-2 -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
iconv -f iso8859-2 -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd
pushd ru
iconv -f koi8-r -t utf-8 -o mc.1.in.tmp mc.1.in && mv mc.1.in.tmp mc.1.in
iconv -f koi8-r -t utf-8 -o xnc.hlp.tmp xnc.hlp && mv xnc.hlp.tmp xnc.hlp
popd

%build
autoreconf --force --install
%define warn_flags -W -Wall -Wstrict-prototypes -Wpointer-arith -Wformat-security -Wno-unused-parameter
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
CFLAGS="$RPM_OPT_FLAGS %{warn_flags}"
# LIBS=-L/usr/X11R6/lib
# _libdir=%{_libdir}
export CFLAGS #LIBS _libdir
./configure \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --localstatedir=/var/lib \
    --libdir=%{_libdir} \
    --enable-charset
make

%install
make    DESTDIR=%{buildroot} install
# clean up this setuid problem for now
chmod 755 %{buildroot}/%{_libdir}/mc/cons.saver
# copy Korean mc hint message,
# install -m 0644 %{SOURCE3} %{datadir}/mc/
#install the shell functions for bourne shell and csh
mkdir -p %{buildroot}/etc/profile.d
install -m 0644 lib/mc.sh lib/mc.csh %{buildroot}/etc/profile.d
#support script for calling available GUI webbrosers
install -m 755 %{SOURCE1} %{buildroot}/usr/share/mc/bin
%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%run_permissions
%verifyscript
%verify_permissions -e /usr/lib/mc/cons.saver

%files -f %{name}.lang
%defattr(-, root, root)
%doc ABOUT-NLS COPYING NEWS README
%config /etc/profile.d/*
%{_bindir}/mc*
%dir %{_prefix}/%{_lib}/mc
%verify(not mode) %{_prefix}/%{_lib}/mc/cons.saver
%{_mandir}/man1/*
#%{_mandir}/man3/*
%lang(es) %doc %{_mandir}/es
%lang(hu) %doc %{_mandir}/hu
%lang(it) %doc %{_mandir}/it
%lang(pl) %doc %{_mandir}/pl
%lang(ru) %doc %{_mandir}/ru
%lang(sr) %doc %{_mandir}/sr
%{_datadir}/mc

%changelog
* Mon Mar 03 2008 - nadvornik@suse.cz
- resubmitted for SLES10-SP2 [bnc#363546]
* Mon Jun 12 2006 - nadvornik@suse.cz
- fixes for Slang2 [#177920, #176327]
* Tue Apr 18 2006 - schwab@suse.de
- Revert last change, kernel headers have been fixed.
* Tue Apr 18 2006 - nadvornik@suse.cz
- fixed check for umode_t; it fixes compilation on ppc64
* Fri Apr 07 2006 - lmichnovic@suse.cz
- adjusted ogg file opening (updated apps.patch)
* Mon Mar 13 2006 - nadvornik@suse.cz
- make sure that backgrounded applications do not write
  to terminal [#153178]
- use realplay if available
- recognize .hpp files
* Tue Mar 07 2006 - lmichnovic@suse.cz
- fixed bash specific syntax in /etc/profile.d/mc.sh [#155644]
  (updated wrapper.patch)
- changed default application to open images with from xv to display
  (updated apps.patch)
* Thu Feb 09 2006 - nadvornik@suse.cz
- fixed switching long panels [143265]
- fixed crash on error in getpwuid
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - nadvornik@suse.cz
- used exported bash function in mc wrapper [#127769]
- fixed crash during renaming UTF-8 filenames [#131997]
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Wed Oct 12 2005 - nadvornik@suse.cz
- added patch for slang2
* Wed Aug 10 2005 - nadvornik@suse.cz
- added .tbz2 and .djvu extension [fixes #98447]
* Mon Aug 01 2005 - nadvornik@suse.cz
- updated to final 4.6.1
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Mar 07 2005 - nadvornik@suse.cz
- updated external applications
* Mon Jan 24 2005 - meissner@suse.de
- 0 -> NULL in one glib call.
* Fri Jan 21 2005 - nadvornik@suse.cz
- updated to 4.6.1-pre3
* Fri Nov 12 2004 - ro@suse.de
- correct permissions handling for /usr/lib/mc/cons.saver
* Sat Oct 23 2004 - mmj@suse.de
- rename no til nb
* Fri Sep 10 2004 - nadvornik@suse.cz
- fixed quoting in extfs script CAN-2004-0494 [#43151]
- fixed show_output_starts_shell option [#44777]
- fixed mcedit crash [#43178]
* Wed Jun 30 2004 - nadvornik@suse.cz
- many fixes in UTF8 patches
- fixed freeze on rar archives with password [#41591]
- allow large screen size [#41475]
* Fri Apr 23 2004 - nadvornik@suse.cz
- fixed various buffer overflows and temp file handling [#38577]
- fixed crash on broken UTF-8 characters in directory name [#39309]
* Wed Mar 31 2004 - nadvornik@suse.cz
- fixed sort options in mc-posix_options.diff
* Wed Mar 31 2004 - nadvornik@suse.cz
- do not strip UTF-8 characters from prompt and xterm title [#37542]
* Thu Mar 25 2004 - nadvornik@suse.cz
- fixed crash with NULL return from getpwuid [#36867]
* Thu Mar 18 2004 - nadvornik@suse.cz
- fixed another crash in slang
* Mon Mar 15 2004 - nadvornik@suse.cz
- fixed external applications
* Thu Mar 11 2004 - nadvornik@suse.cz
- better fix for the crash is slang
- various fixes in utf8 patch
* Tue Mar 09 2004 - nadvornik@suse.cz
- fixed crash if TERM is unset
- fixed viewing files in tar archives
* Mon Mar 08 2004 - nadvornik@suse.cz
- fixed forward/backward word functions in utf8 patch
* Fri Mar 05 2004 - nadvornik@suse.cz
- fixes in utf8 patches
- do not let XOpenDisplay exit [#31960]
* Mon Mar 01 2004 - nadvornik@suse.cz
- added utf8 support in commandline, viewer and editor
* Wed Feb 18 2004 - sbrabec@suse.cz
- Added all available UTF-8 patches (mostly from from Jakub Jelinek
  <jakub@redhat.com>).
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jan 08 2004 - pthomas@suse.de
- Fix the handling of symlinks inside tarballs which would lead
  to a segfault with suitably constructed tarballs.
* Fri Aug 29 2003 - pthomas@suse.de
- Change extfs commands to use posix conforming options
  for head and sort. (#29657)
* Tue Jul 15 2003 - sbrabec@suse.cz
- Autoreconf with GNOME prefix.
* Fri Jun 13 2003 - kukuk@suse.de
- Fix filelist
* Fri Apr 04 2003 - pthomas@suse.de
- Enable character set conversion by compiling with
  --enable-charset.
* Wed Feb 26 2003 - pthomas@suse.de
- Fix the bug that leads to a segfault when viewing
  files and simplify the range check.
- Get rid of the caddr_t anachronism.
- Use g_try_malloc when using glib2, as g_malloc terminates
  the application when it fails .....
* Mon Feb 17 2003 - pthomas@suse.de
- Update to 4.6.0 which officially removes gmc.
- Get rid of now obsolete patches and adapt those that
  still apply.
* Tue Feb 04 2003 - pthomas@suse.de
- Only include %%{_libdir}/mc in files on biarch platforms.
* Mon Jan 27 2003 - pthomas@suse.de
- Drop gmc sub package.
- Also check for ksh in mc.sh to decide whether or not to use
  'export -f'
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Wed Oct 23 2002 - sbrabec@suse.cz
- Fixed dangling symlink for mcview.
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Sep 16 2002 - pthomas@suse.de
- Make mc use the system supplied slang library.
* Wed Sep 11 2002 - pthomas@suse.de
- Make full eight bits input the default (bug #15721).
- Use the gnome macros supplied with gnome-common.
- Use file type rather then regex to identify Word documents.
- Use wvText instead of word2x for displaying MS Word documents.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Fri Aug 02 2002 - pthomas@suse.de
- Fix building with older versions of ext2fs lib
  (AKA older distributions):
   - Make configure check for presence of ext2_ino_t in ext2fs.h.
   - Use test result in vfs/undelfs.c
* Sat Jul 27 2002 - adrian@suse.de
- fix %%pre script and neededforbuild
* Fri May 31 2002 - ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Mon Apr 08 2002 - ro@suse.de
- run gettextize
* Fri Mar 15 2002 - pthomas@suse.de
- Use w3m instead of lynx for html. Fixes #15012
* Thu Feb 07 2002 - mmj@suse.de
- ... and then fix a stupid typo in the below fix...
* Thu Feb 07 2002 - mmj@suse.de
- Fixed the below thing in a more POSIX compliant way
* Tue Feb 05 2002 - mmj@suse.de
- Added missing function to ms.sh
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - okir@suse.de
- fixed various tempfile races (mostly with unpacking/packing
  of compressed files for editing)
* Mon Jan 14 2002 - egmont@suselinux.hu
- Removed rpmview patch, no longer needed since 4.5.55.
* Thu Dec 06 2001 - pthomas@suse.de
- Include *all* gnome autoconf macros needed to
  rebuild aclocal.m4.
* Fri Nov 30 2001 - ro@suse.de
- changed neededforbuild <docbktls> to <docbook-toys>
* Mon Nov 26 2001 - pthomas@suse.de
- Update to 4.5.55.
- Enable large file support.
- Gracefully handle the case when file size exceeds what
  g_malloc can handle.
- Don't hard-code the GUI web browser but call a script that
  uses whatever's installed.
- Use ext2_ino_t instead of ino_t.
- Add German hints.
* Thu Oct 18 2001 - egmont@suselinux.hu
- F3 on an RPM shows sane output (kind of rpm -qilp) instead of raw
  binary.
* Thu Sep 20 2001 - pthomas@suse.de
- Fix handling of RPMs. This isn't a final fix,  but at least
  avoids the error.
* Tue Sep 04 2001 - kukuk@suse.de
- Removed smbclnt requires
* Mon Aug 27 2001 - kukuk@suse.de
- Removed samba-client, not need any longer
* Mon Aug 27 2001 - ro@suse.de
- replaced <smbclnt> by <samba-client> in neededforbuild
* Wed Aug 15 2001 - pthomas@suse.de
- Redo declaration fixes.
- Drop samba support, it's dependencies cause too much trouble.
- Reduce compiler warnings.
- Require autoconf 2.53 as this allows use of AC_CHECK_DECLS
- Use AC_CHECK_DECLS to properly control local prototypes.
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Sat Aug 11 2001 - schwab@suse.de
- Fix missing declarations *again*.
* Tue Jul 31 2001 - cstein@suse.de
- wrote an assembly language syntax highlighting for mcedit
  (Intel syntax)
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 4.5.54.
- Had to remove a few patches to make it build.
- Buildproofed on all architectures.
* Wed Jun 27 2001 - cstein@suse.de
- Modified mc to include some helpful functions for palm pilot
  users; modifications added as patch 30 (see spec file)
* Mon Jun 11 2001 - pthomas@suse.de
- Create missing stamp-h.in that prevented mc to build.
- Don't use --with-gpm-mouse on s390
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Wed May 09 2001 - pthomas@suse.de
- remove samba codepages and require smbclnt.
  Fixes Bug #7924
- compress sources with bzip2
* Tue May 08 2001 - pthomas@suse.de
- Include codepages from samba package and modify source to
  search them in /usr/lib/mc/codepages. Fixes bug #7647
* Fri Apr 20 2001 - pthomas@suse.de
- Fix call of suse_update_config macro.
- Remove offending multibyte sequence from Korean message
  catalog and reenable building it.
* Wed Apr 18 2001 - pthomas@suse.de
- Disable building of the korean message catalog because
  gettext 0.10.36 rejects it.
* Sat Apr 07 2001 - schwab@suse.de
- Correct handling of filenames in zoo and zip files.
  Fixes Bug #6846.
- Add %%suse_update_config.
- Fix configure check for off64_t and ino64_t.
* Sat Apr 07 2001 - pthomas@suse.de
- Remove regex match for *,[Dd]oc files and just rely on the
  file type check. Add a second file type check as file(1) now
  reports 'Microsoft office document'. Fixes Bug #6861
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - pthomas@suse.de
- Compile with samba and ext2 undelete support
- Add esound-devel and e2fsprogs-devel to neededforbuild
- Remove unnecessary checks from samba configure
- Add security fix for subshell
- Add security fix for cons.saver
* Tue Mar 13 2001 - ro@suse.de
- added xf86 to neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Feb 20 2001 - uli@suse.de
- fixed for new glibc
* Wed Jan 31 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Sun Jan 21 2001 - violiet@suse.de
- added eightbit-clean.patch to view/edit for Japanese and
  Korean characters.
- added improvement Japanese latest .po from CVS.
- added improvement Korean .po and mc hint message file.
* Fri Dec 15 2000 - hhetter@suse.de
- fix for dead link on startup-links, fixing bug id#4700
- changed startup-link URLs
* Tue Nov 21 2000 - werner@suse.de
- Add kvt and gnome as valid TERMinals
- Add some newer xterm escape sequences (oldFunctionsKeys)
- console, linux xterm-color, kvt, and gnome are colored TERMinals
* Mon Nov 06 2000 - pthomas@suse.de
- Remove version number from spec file name
- Add additional key definitions for mc.lib
- Clean up the spec file a bit.
* Sun Nov 05 2000 - kukuk@suse.de
- adjust neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Sep 25 2000 - egger@suse.de
- Updated to 4.5.51.
- Buildproofed on i386.
* Wed May 31 2000 - baulig@suse.de
- update: 4.5.50.
* Sun May 28 2000 - baulig@suse.de
- update: 4.5.49.
- use %%{ver} instead of the direct version number in tarball name.
* Mon Dec 13 1999 - ke@suse.de
- update: 4.5.42.
* Thu Nov 18 1999 - ke@suse.de
- update: 4.5.41.
- create HTML documentation (add SGML packages to neededfoarbuild...).
- add SuSE startup-link ;)
* Fri Oct 29 1999 - ke@suse.de
- fix /etc/opt/gnome vs. /opt/gnome/etc.
* Thu Oct 14 1999 - ke@suse.de
- update: 4.5.40.
- add some RH patches.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 24 1999 - ke@suse.de
- update: version 4.5.39.
* Fri Sep 17 1999 - ke@suse.de
- update: version 4.5.38.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - ke@suse.de
- update: version 4.5.37.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jul 12 1999 - ke@suse.de
- update: version 4.5.36.
* Tue Jun 08 1999 - kukuk@suse.de
- Add pam to needforbuild
* Sun May 30 1999 - ke@suse.de
- update: version 4.5.33.
* Tue Apr 13 1999 - ke@suse.de
- update: version 4.5.30 (security fixes - /tmp exploids...).
* Tue Apr 06 1999 - ro@suse.de
- only link gmc.gnorba for /etc/opt/gnome/CORBA/servers
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Mon Apr 05 1999 - bs@suse.de
- use absolute links to prevent problems with a symlinked /opt.
* Sun Mar 14 1999 - ke@suse.de
- update: version 4.5.25.
* Wed Mar 10 1999 - ke@suse.de
- update: version 4.5.24.
* Thu Mar 04 1999 - ke@suse.de
- update: version 4.5.23 (bugfix release).
- filelist.
* Sat Feb 27 1999 - ke@suse.de
- update: version 4.5.22 (bugfix release).
* Fri Feb 26 1999 - ke@suse.de
- update: version 4.5.21 (bugfix release).
- --disable-nls (it makes mc segfault).
- now, the text oriented part of the package (mc.rpm) lives under /usr
  again.
* Wed Feb 17 1999 - ke@suse.de
- update: version 4.5.17 (bugfix release).
- use sysconfdir=/etc/opt/gnome.
- #neededforbuild: add esound and audiofil.
* Sun Feb 14 1999 - ke@suse.de
- update: version 4.5.14 (bugfix release).
* Thu Feb 11 1999 - ke@suse.de
- update: version 4.5.13.
* Sat Feb 06 1999 - ro@suse.de
- fixed neededforbuild
* Thu Feb 04 1999 - ke@suse.de
- update: version 4.5.10.
- now, there's the subpackage `gmc' containing the GNOME compliant version
  of mc.
- make the package BuildRoot capable.
* Wed Dec 09 1998 - ke@suse.de
- update to mc 4.1.36 (bugfix release).
* Thu Sep 24 1998 - ke@suse.de
- enable NLS.
- install documentation and COPYING via the %%doc macro.
* Tue Sep 22 1998 - ro@suse.de
- update to mc 4.1.35 using diff from jurix mirror
  merged changes to mc.lib from mc-4.1.11-suse and current (+ibmpc3)
* Wed Nov 19 1997 - florian@suse.de
- update to mc 4.1.11
* Mon Nov 17 1997 - florian@suse.de
- oops, forgot mc.lib-changes from Werner
* Fri Oct 10 1997 - florian@suse.de
- update to version 4.1.4
* Sun Jun 22 1997 - florian@suse.de
- update to version 4.0
* Wed May 28 1997 - werner@suse.de
- new mc.lib added
* Wed Jan 22 1997 - florian@suse.de
- enable gpm support
* Thu Jan 02 1997 - florian@suse.de
- update to version 3.2.11
* Thu Jan 02 1997 - florian@suse.de
- Es wird nicht mehr mit libgpm-Unterstuetzung kompiliert, da slang
  und libgpm sich nicht vertragen. (libgpm laed libncurses, das geht
  mit libslang.a nicht...)
  Sun Aug 25 19:28:50 MET DST 1996
  new version 3.2.7
  for screen output, mc now uses the slang library and not the ncurses functions
  directly
